#ifndef __ACTIVETASKS_H_
#define __ACTIVETASKS_H_

#include "../ls-b24/litestep/wharfdata.h"

const int MAXLEN = 256;

struct TaskType
{
  char * appTitle;
  long x, y;
  HBITMAP pix;
  HMENU hMenu;
  HWND hwnd;
  HWND appHandle;
  HICON icon;
  BOOL Ignore;
  BOOL IsIconic;
  BOOL IsMoved;
  BOOL Active;
};

 // new internal settings handling. need to finish.
struct TasksSettings
{
//Main Task Settings
  int Direction, PaddingX, PaddingY, WrapCount, WrapDirection; //all done
  int Height, Width, X, Y; //all done
  int MinimizedX, MinimizedY; //settings done
  int IconSize, IconX, IconY; //all done
  int PixX, PixY; //settings done

  BOOL AllwaysOnTop, AutoArrange, GroupMinimized, OnlyMinimized, MoveAll, NoMove, StartHidden; //settings done
  BOOL NoHints, HighLightSelected, ShadeMinimized;

  COLORREF BgColor, DarkColor, LightColor, SelDarkColor, SelLightColor, MinShadeColor;

//  CHAR Default[MAXLEN];  // need to set up the length

  HBITMAP BackImage;

//Title Task Settings
  int TitleIconX, TitleIconY, TitlePixX, TitlePixY;
  int TitleHeight, TitleWidth, TitleX, TitleY;
  int TitleFontSize;

  BOOL TitleAlways, TitleOnlyMinimized;

  CHAR TitleFont[MAXLEN];  // done

  COLORREF TitleBgColor, TitleDarkColor, TitleFontColor, TitleLightColor;
};

struct IconList
{
  char * match; // Title of app to Icon
  char * name; // Path to Icon
  int icon; // icon # to load when name is found
};

struct IgnoreList
{
  char * match; // string to look for in titlebar
};

struct PixList
{
  char * match; // string to look for in titlebar
  char * pix; // pix to load when name is found
};

#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModule(HWND parent, HINSTANCE dll, wharfDataType* wd);
__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) void quitModule(HINSTANCE dllInst);

#ifdef __cplusplus
}
#endif


#endif

